<?
/**
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
*/
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
if (isset($_POST['action']))
{
	$action = $_POST['action'];
	if ($action == 'changepassgame_info')
	{
		$passgamenew = $_POST['passgamenew'];
		$passgamenew_verify = $_POST['passgamenew_verify'];
		$pass2 = $_POST['pass2'];
		$quest = $_POST['quest'];
		$ans = $_POST['ans'];
		$tel = $_POST['tel'];
		$leng_tel = strlen($tel);
		
		$leng_passgamenew = strlen($passgamenew);
		
		if( $sendsv === false ) { $error = "<font size='4' color='red'>Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện.</font>"; }
		elseif(empty($passgamenew) || empty($passgamenew_verify) || empty($pass2) || empty($tel) || empty($quest) || empty($ans)) {
			$error = "<font size='4' color='red'>Chưa nhập đủ thông tin.</font>";
			}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $passgamenew))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu Game mới chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $passgamenew_verify))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Xác minh Mật khẩu Game mới chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		elseif ($passgamenew != $passgamenew_verify)
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu Game mới và Xác minh mật khẩu Game mới không trùng khớp.</font>";
			}
		elseif($leng_passgamenew<4 || $leng_passgamenew>10)
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu Game mới phải từ 4-10 kí tự.</font>";
			}
		elseif($leng_tel<10)
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Số điện thoại phải 10 chữ số.</font>";
			}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $pass2))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu Web cấp 2 chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font><br>";
			}
		elseif (preg_match("/[^1-9$]/", $quest))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Chưa chọn câu hỏi bí mật.</font>";
			}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $ans))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Câu trả lời bí mật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font><br>";
			}
		else {
			
			$getcontent_url = $server_url . "/sv_acc.php";
			$getcontent_data = array(
				'login'    =>  $_SESSION['mu_username'],
				'passgamenew'    =>  $passgamenew,
				'pass2'    =>  $pass2,
				'quest'    =>  $quest,
				'ans'    =>  $ans,
				'tel'    =>  $tel,
				
				'pagesv'	=>	'sv_acc_change_passgame_info',
				'string_login'    =>  $_SESSION['checklogin'],
				'passtransfer'    =>  $passtransfer
			); 
			
			$reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if($info[0] == 'OK') {
					$notice = $info[1];
				}
				else $error = $reponse;
			}
		}
	}
}

$page_template = "templates/acc_manager/changepassgame_info.tpl";
?>